| All Verbs | /RestApi/Sitefinity/Analytics/GetCustomMetricValues |
|---|
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| MetricNames | query | string[] | No | |
| LastNDays | query | int | No | |
| MaxNDays | query | int | No | |
| SiteId | query | Guid | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Result | form | List<AnalyticsItem> | No | |
| MetricDisplayNames | form | List<string> | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Dimensions | form | IEnumerable<DimensionItem> | No | |
| Metrics | form | IEnumerable<MetricItem> | No | |
| TotalItems | form | double | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Value | form | string | No | |
| Name | form | string | No |
| Name | Parameter | Data Type | Required | Description |
|---|---|---|---|---|
| Value | form | double | No |
To override the Content-type in your clients, use the HTTP Accept Header, append the .jsv suffix or ?format=jsv
The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.
POST /RestApi/Sitefinity/Analytics/GetCustomMetricValues HTTP/1.1
Host: www.asg.com.au
Accept: text/jsv
Content-Type: text/jsv
Content-Length: length
{
MetricNames:
[
String
],
LastNDays: 0,
MaxNDays: 0
}
HTTP/1.1 200 OK
Content-Type: text/jsv
Content-Length: length
{
Result:
[
{
}
],
MetricDisplayNames:
[
String
]
}